import { isArray } from "@coveo/bueno";
function possiblyWarnOnBadFieldType(field, itemValueRaw, host, logger) {
    if (isArray(itemValueRaw)) logger.error(`${host.nodeName.toLowerCase()} cannot be used with multi value field "${field}" with values "${itemValueRaw}".`, host);
}
export { possiblyWarnOnBadFieldType };
